Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.jpeg2000
Class QCCMarkerSegment

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.jpeg2000.MarkerSegment
          edu.harvard.hul.ois.jhove.module.jpeg2000.QCCMarkerSegment

    public class QCCMarkerSegment

extends MarkerSegment

Class for the QCC (Quantization component) marker segment. May occur in the main or the tile part header. In the main header it overrides the QCD for the specified component. In the tile part header it overrides the QCD for the component in the tile part.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.jpeg2000.MarkerSegment
`_ccs, _cs, _dstream, _module, _repInfo, COC, COD, COM, CRG, EOC, EPH, PLM, PLT, POC, PPM, PPT, QCC, QCD, RGN, SIZ, SOC, SOD, SOP, SOT, TLM`

Constructor Summary
`QCCMarkerSegment()`

Method Summary
`protected boolean` | `process(int bytesToEat)` Process the marker segment.

Methods inherited from class edu.harvard.hul.ois.jhove.module.jpeg2000.MarkerSegment
`getMainOrTile, isMarker, markerSegmentMaker, nCompBytes, readMarkLen, setCodestream, setContCodestream, setDataInputStream, setModule, setRepInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QCCMarkerSegment

    public QCCMarkerSegment()

Method Detail

### process

    protected boolean process(int bytesToEat)
                       throws java.io.IOException

  Process the marker segment. The DataInputStream will be at the point of having read the marker code. The `process` method must consume exactly the number of bytes remaining in the marker segment.

  Specified by:
    `process` in class `MarkerSegment`
  Parameters:
    `bytesToEat` - The number of bytes that must be consumed. If it is 0 for a MarkerSegment, the number of bytes to consume is unknown.
  Returns:
    `true` if segment is well-formed, `false` otherwise.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD